import { Rule } from "../rules/Rule";
export interface Ruleset {
    name: string;
    rules: Rule[];
}
export declare namespace Ruleset {
    /**
     * This is an TS 1.6+ TypeGuard as described here: https://www.typescriptlang.org/docs/handbook/advanced-types.html
     */
    function isRuleset(o: object): o is Ruleset;
    function validateRuleset(o: object): o is Ruleset;
}
